<?php
	if ($auth->userdata["acclevel"] < 100) die ("Access denied!");
?>

&nbsp;&nbsp;&nbsp;&nbsp;<img src="<?php echo $g_options["imgdir"]; ?>/downarrow.gif" width=9 height=6 border=0 align="middle" alt="downarrow.gif"><b>&nbsp;<?php echo $task->title; ?></b><p>

<?php
	if ($upgrade)
	{
		$result = $db->query("SHOW TABLES");
		
		echo "Upgrading all tables to MyISAM format:<ul>\n";
		while (list($table) = $db->fetch_row($result))
		{
			echo "<li>$table ... ";
			$db->query("ALTER TABLE $table TYPE=MYISAM");
			echo "OK\n";
		}
		echo "</ul>\n";
		
		echo "Done.<p>";
?>
Back to <a href="<?php echo $g_options["scripturl"]; ?>?mode=admin&task=tools_optimize">Optimize Database</a><p>
<?php
	}
	else
	{
?>

Optimizing tables...<?php echo $g_options["fontend_normal"]; ?></td>
</tr>
</table><p>

<?php
		flush();
		
		$result = $db->query("SHOW TABLES");
		
		while (list($table) = $db->fetch_row($result))
		{
			if ($dbtables) $dbtables .= ", ";
			$dbtables .= $table;
		}
		
		$tableOptimize = new Table(
			array(
				new TableColumn(
					"Table",
					"Table",
					"width=30&sort=no"
				),
				new TableColumn(
					"Op",
					"Operation",
					"width=12&sort=no"
				),
				new TableColumn(
					"Msg_type",
					"Msg. Type",
					"width=12&sort=no"
				),
				new TableColumn(
					"Msg_text",
					"Message",
					"width=46&sort=no"
				)
			),
			"Table",
			"Table",
			"Msg_type",
			false,
			9999
		);
		
		$result = $db->query("OPTIMIZE TABLE $dbtables");
		
		$tableOptimize->draw($result, mysql_num_rows($result), 80);
?>
<p>

<table width="90%" align="center" border=0 cellspacing=0 cellpadding=2>

<tr>
	<td><?php echo $g_options["font_normal"]; ?>Analyzing tables...<?php echo $g_options["fontend_normal"]; ?></td>
</tr>
</table><p>
	
<?php
		$tableAnalyze = new Table(
			array(
				new TableColumn(
					"Table",
					"Table",
					"width=30&sort=no"
				),
				new TableColumn(
					"Op",
					"Operation",
					"width=12&sort=no"
				),
				new TableColumn(
					"Msg_type",
					"Msg. Type",
					"width=12&sort=no"
				),
				new TableColumn(
					"Msg_text",
					"Message",
					"width=46&sort=no"
				)
			),
			"Table",
			"Table",
			"Msg_type",
			false,
			9999
		);
		
		$result = $db->query("ANALYZE TABLE $dbtables");
		
		$tableAnalyze->draw($result, mysql_num_rows($result), 80);
?>
<p>
<table width="90%" align="center" border=0 cellspacing=0 cellpadding=2>

<tr>
	<td><?php echo $g_options["font_normal"]; ?><a href="<?php echo $g_options["scripturl"]; ?>?mode=admin&task=tools_optimize&upgrade=yes">Click here</a> if you get "table handler does not support check/repair" above.<?php echo $g_options["fontend_normal"]; ?></td>
</tr>

</table>
<?php
	}
?>

